import { ElementRef } from '@angular/core';
import { IgxCalendarComponent, IgxMonthsViewComponent } from '../calendar/index';
export declare class IgxMonthPickerComponent extends IgxCalendarComponent {
    /**
     * Sets/gets the `id` of the month picker.
     * If not set, the `id` will have value `"igx-month-picker-0"`.
     */
    id: string;
    /**
     * @hidden
     */
    yearAction: string;
    /**
     * @hidden
     */
    yearsBtn: ElementRef;
    /**
     * @hidden
     */
    monthsView: IgxMonthsViewComponent;
    /**
     * @hidden
     */
    animationDone(): void;
    /**
     * @hidden
     */
    nextYear(): void;
    /**
     * @hidden
     */
    nextYearKB(event: any): void;
    /**
     * @hidden
     */
    previousYear(): void;
    /**
     * @hidden
     */
    previousYearKB(event: any): void;
    /**
     * @hidden
     */
    selectMonth(event: Date): void;
    /**
     * @hidden
     */
    selectYear(event: Date): void;
    /**
     * Selects a date.
     *```typescript
     * this.monPicker.selectDate(new Date(`2018-06-12`));
     *```
     */
    selectDate(value: Date): Date;
    /**
     * @hidden
     */
    writeValue(value: Date): void;
    /**
     * @hidden
     */
    onKeydownPageUp(event: KeyboardEvent): void;
    /**
     * @hidden
     */
    onKeydownPageDown(event: KeyboardEvent): void;
    /**
     * @hidden
     */
    onKeydownShiftPageDownUp(event: KeyboardEvent): void;
    /**
     * @hidden
     */
    onKeydownHome(event: KeyboardEvent): void;
    /**
     * @hidden
     */
    onKeydownEnd(event: KeyboardEvent): void;
}
export declare class IgxMonthPickerModule {
}
