import { IgxDropDownItemComponent } from './../drop-down/drop-down-item.component';
import { DoCheck } from '@angular/core';
export declare class IgxSelectItemComponent extends IgxDropDownItemComponent implements DoCheck {
    /** @hidden @internal */
    readonly ariaDisabled: boolean;
    /** @hidden @internal */
    readonly ariaRole: string;
    /**
     * Sets/gets the `id` of the item.
     * ```html
     * <igx-select-item [id] = 'select-item-0'></igx-select-item>
     * ```
     * ```typescript
     * let itemId =  this.item.id;
     * ```
     * @memberof IgxSelectItemComponent
     */
    id: string;
    /** @hidden @internal */
    readonly itemText: any;
    /**
     * Sets/Gets if the item is the currently selected one in the select
     *
     * ```typescript
     *  let mySelectedItem = this.select.selectedItem;
     *  let isMyItemSelected = mySelectedItem.selected; // true
     * ```
     */
    selected: any;
    /** @hidden @internal */
    isHeader: boolean;
    ngDoCheck(): void;
}
